%if 0%{?fedora} > 12
%global with_python3 1
%endif

%bcond_without tests

%global srcname Milla

Name:		python-milla
Version:	0.3
Release:	1%{?dist}
Summary:	Milla is a simple and lightweight web framework for Python
Group:		Development/Libraries
Vendor:		Dustin C. Hatch
License:	ASL 2.0
URL:		https://bitbucket.org/AdmiralNemo/milla
Source0:	https://bitbucket.org/AdmiralNemo/milla/downloads/%{srcname}-%{version}.tar.bz2

BuildRequires:	python-setuptools
%if 0%{with tests}
BuildRequires:	python-nose
BuildRequires:	python-webob
%endif

%if 0%{?with_python3}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%if 0%{with tests}
BuildRequires:	python3-nose
BuildRequires:	python3-webob
%endif
%endif

Requires:	python-setuptools
Requires:	python-webob

BuildArch:	noarch

%description
Milla is a simple and lightweight web framework for Python. It built on top of
WebOb and thus implements the WSGI standard. It aims to be easy to use while
imposing no restrictions, allowing web developers to write code the way they
want, using the tools, platform, and extensions they choose.

%if 0%{?with_python3}
%package -n python3-milla
Summary:	Milla is a simple and lightweight web framework for Python
Group:		Development/Libraries
Requires:	python3-setuptools
Requires:	python3-webob

%description -n python3-milla
Milla is a simple and lightweight web framework for Python. It built on top of
WebOb and thus implements the WSGI standard. It aims to be easy to use while
imposing no restrictions, allowing web developers to write code the way they
want, using the tools, platform, and extensions they choose.

This package includes the python 3 version of the module.
%endif


%clean
rm -rf %{buildroot}


%prep
%setup -q -n %{srcname}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%{__python} setup.py build
%{__python} setup.py egg_info

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
%{__python3} setup.py egg_info
popd
%endif


%install
rm -rf %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
%endif

%{__python} setup.py install --skip-build --root=%{buildroot}


%if 0%{with tests}
%check
PYTHONPATH=src nosetests-%{python_version}

%if 0%{?with_python3}
pushd %{py3dir}
PYTHONPATH=src nosetests-%{python3_version}
popd
%endif
%endif


%files
%{python_sitelib}/*

%if 0%{?with_python3}
%files -n python3-milla
%{python3_sitelib}/*
%endif


%changelog
* Wed Dec  2 2015 Dustin C. Hatch <dustin@hatch.name> 0.3-1
- Update to version 0.3

* Thu Feb 19 2015 Dustin C. Hatch <dustin@hatch.name> 0.2.1-1
- New spec for Milla
